Bug 460262 - system-config-samba ignores custom value of "username map" option
Summary: system-config-samba ignores custom value of "username map" option
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: system-config-samba
Version: 5.2
Hardware: All
OS: Linux
medium
high
Target Milestone: rc
: ---
Assignee: Nils Philippsen
QA Contact:
URL:
Whiteboard:
Depends On: 460267
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-08-27 07:42 UTC by Ales Zelinka
Modified: 2009-09-02 10:12 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-02 10:12:23 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:1329 0 normal SHIPPED_LIVE system-config-samba bug fix update 2009-09-01 10:32:43 UTC

Description Ales Zelinka 2008-08-27 07:42:12 UTC
Description of problem:
system-config-samba ignores custom value of the "username map" option in smb.conf and even replaces it with its hardwired path: /etc/samba/smbusers. 

This leads to denial of services for all users specified in the custom file.

Packages affected:
system-config-samba-1.2.39-1
system-config-samba-1.2.41-3

How reproducible:
always

Steps to Reproduce:
1. set "username map" in smb.conf to point to some other file than /etc/samba/smbusers
2. add user to samba (smbpasswd -a user) and create a username mapping (echo 'user = "winuser"' >> /custom/mappings/file)
3.run system-config-file and add another user
4. try to access samba service as winuser (smbclient -L localhost -Uwinuser%password)

Actual results:
Authentication fails because winuser is no longer recognised as a known user.

Expected results:
Samba shares are listed.

Comment 1 Nils Philippsen 2008-08-27 09:20:36 UTC
Cloned this for Rawhide at bug #460267.

Comment 8 errata-xmlrpc 2009-09-02 10:12:23 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1329.html


Note You need to log in before you can comment on or make changes to this bug.